﻿@using Jumbula.Common.Constants

@{
    ViewBag.Title = "Program is full";

    var seasonDomain = ViewBag.SeasonDomain;
    var programDomain = ViewBag.ProgramDomain;

    string programPageUrl = string.Format("/{0}/{1}", seasonDomain, programDomain);

    bool isWaitlistAvailable = ViewBag.IsWaitListAvailable;

    bool disableCapacityRestriction = ViewBag.DisableCapacityRestriction;
}

<div id="paymentConfirmation" class="col-sm-12">
    <div id="shappingHeader" class="success">
        <h1 class="text-success">You are attempting to register for an program that is full.</h1>
        <div class="clearfix"></div>

        <div>
            <a class="btn btn-primary pull-left" href="@programPageUrl">Back to event page</a>

            @if (isWaitlistAvailable)
            {
                @Html.ActionLink(Constants.DefaultERButtonAddToWaitlistLabel, "AddToWaitlist", "Register", new { programId = ViewBag.ProgramId, returnUrl = programPageUrl, isIndividual = true }, new { id = "addToWaitlist", @class = "btn btn-jb pull-right" })
            }
            else
            {
                @Html.ActionLink(Constants.DefaultERButtonAddToWaitlistLabel, "AddToWaitlist", "Register", new { programId = ViewBag.ProgramId, returnUrl = programPageUrl, isIndividual = true }, new { id = "addToWaitlist", @class = "btn btn-jb pull-right", @disabled = "disabled" })
            }

            @if (disableCapacityRestriction)
            {
                @Html.ActionLink(Constants.ProceedWithPassword, "Register", "Register", new { domain = programDomain, seasonDomain = seasonDomain, isOverrideCapacity = true }, new { id = "continue", @class = "btn btn-jb" })
            }
        </div>

    </div>
</div>


@section Styles{

    <link href="~/Content/Student/Pay/Pay.css" rel="stylesheet" />

    <style>
        #seconds.animation {
            -webkit-transform: scale(1.2);
            -moz-transform: scale(1.2);
            -ms-transform: scale(1.2);
            -o-transform: scale(1.2);
            transform: scale(1.2);
        }

        #seconds {
            -webkit-transition: all .5s ease-in-out 0s;
            -moz-transition: all .5s ease-in-out 0s;
            -ms-transition: all .5s ease-in-out 0s;
            -o-transition: all .5s ease-in-out 0s;
            transition: all .5s ease-in-out 0s;
            -webkit-transform: scale(1);
            -moz-transform: scale(1);
            -ms-transform: scale(1);
            -o-transform: scale(1);
            transform: scale(1);
        }
    </style>

}

@section Scripts{
    <script type="text/javascript">
        $(document).ready(function () {
            $("#addToWaitlist[disabled]").click(function (e) {
                e.preventDefault();
            });
        });
    </script>
}